## ros-humble-rmw-connextdds 0.11.2

=== CMakeLists.txt ===
# Copyright 2020 Real-Time Innovations, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_connextdds)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)
find_package(rmw_connextdds_common REQUIRED)

if(NOT TARGET rmw_connextdds_common::rmw_connextdds_common_pro)
    message(STATUS "Common RMW implementation not found. Skipping ${PROJECT_NAME}.")
    ament_package()
    return()
endif()

rti_find_connextpro()

if(NOT RTIConnextDDS_FOUND)
    message(STATUS "RTI Connext DDS Professional not found. Skipping ${PROJECT_NAME}.")
    ament_package()
    return()
endif()

add_library(${PROJECT_NAME} SHARED
    src/rmw_api_impl_ndds.cpp)

target_include_directories(${PROJECT_NAME} PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>)

target_link_libraries(${PROJECT_NAME}
    rmw_connextdds_common::rmw_connextdds_common_pro)

configure_rmw_library(${PROJECT_NAME})

register_rmw_implementation(
    "c:rosidl_typesupport_fastrtps_c:rosidl_typesupport_introspection_c"
    "cpp:rosidl_typesupport_fastrtps_cpp:rosidl_typesupport_introspection_cpp")

if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
endif()

install(
    TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)

ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(rmw_connextdds_common)

ament_package(
  CONFIG_EXTRAS_POST "${PROJECT_NAME}-extras.cmake.in"
)

ament_index_register_resource("rmw_output_prefixes"
  CONTENT "RTI Data Distribution Service\nRTI Connext DDS\nExpires on")

=== debian/changelog ===
ros-humble-rmw-connextdds (0.11.2-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rmw-connextdds (0.11.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 26 Apr 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.11.0-1jammy) jammy; urgency=high

  * Exclude missing sample info fields when building rmw_connextddsmicro (#79 <https://github.com/ros2/rmw_connextdds/issues/79>)
  * Update launch_testing_ros output filter prefixes for Connext6 (#80 <https://github.com/ros2/rmw_connextdds/issues/80>)
  * Contributors: Andrea Sorbini, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.10.0-1jammy) jammy; urgency=high

  * Add support for user-specified content filters (#68 <https://github.com/ros2/rmw_connextdds/issues/68>)
  * add stub for content filtered topic (#77 <https://github.com/ros2/rmw_connextdds/issues/77>)
  * Contributors: Andrea Sorbini, Chen Lihui, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.9.0-1jammy) jammy; urgency=high

  * Add rmw listener apis (#44 <https://github.com/rticommunity/rmw_connextdds/issues/44>)
  * Contributors: iRobot ROS

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.3-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.2-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.1-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#67 <https://github.com/rticommunity/rmw_connextdds/issues/67>)
  * Contributors: mauropasse

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.8.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.7.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#20 <https://github.com/rticommunity/rmw_connextdds/issues/20>)
  * Contributors: Barry Xu

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.6.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.6.0-1jammy) jammy; urgency=high

  * Use rmw_qos_profile_unknown when adding entity to graph (#28 <https://github.com/rticommunity/rmw_connextdds/issues/28>)
  * Resolve issues identified while investigating #21 <https://github.com/rticommunity/rmw_connextdds/issues/21> (#22 <https://github.com/rticommunity/rmw_connextdds/issues/22>)
  * Use Rolling in README's Quick Start
  * Improved implementation of client::is_service_available for Connext Pro
  * Only add request header to typecode with Basic req/rep profile
  * Remove commented/unused code
  * Avoid topic name validation in get_info functions
  * Reduce shutdown period to 10ms
  * Pass HistoryQosPolicy to graph cache
  * Reset error string after looking up type support
  * Remove DDS-based WaitSet implementation
  * Contributors: Andrea Sorbini, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.5.0-1jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/rticommunity/rmw_connextdds/issues/13> from Ericsson/unique_network_flows
  * Refactor common API
  * Update branch master to support Rolling only (#15 <https://github.com/rticommunity/rmw_connextdds/issues/15>)
  * Contributors: Ananya Muddukrishna, Andrea Sorbini, William Woodall

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.4.0-1jammy) jammy; urgency=high

  * Add ability to override of endpoint qos settings based on topic name.
  * Optimize QoS for reliable large data.
  * Only trigger data condition if samples were loaned from reader.
  * Alternative WaitSet implementation based on C++ std, selectable at
    compile-time.

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.3.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.3.0-1jammy) jammy; urgency=high

  * Add <buildtool_export_depend> for ament_cmake.
  * Use default dds.transport.UDPv4.builtin.ignore_loopback_interface.

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.2.1-1jammy) jammy; urgency=high

  * Renamed environment variables (``RMW_CONNEXT_USE_DEFAULT_PUBLISH_MODE``,
    ``RMW_CONNEXT_LEGACY_RMW_COMPATIBILITY_MODE``).
  * Support a list of initial peers via ``RMW_CONNEXT_INITIAL_PEERS``.

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.2.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.1.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-humble-rmw-connextdds (0.1.0-1jammy) jammy; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

=== debian/control ===
Source: ros-humble-rmw-connextdds
Section: misc
Priority: optional
Maintainer: Andrea Sorbini <asorbini@rti.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rmw-connextdds-common, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw-connextdds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-rmw-connextdds-common, ros-humble-ros-workspace
Description: A ROS2 RMW implementation built with RTI Connext DDS Professional.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw-connextdds//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
